## isis 0.4.7

=== CMakeLists.txt ===
############################################################
# The ISIS project
#
# Main CMake configuration file of the ISIS project.
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Tue, 05 Apr 2011 10:50:31 +0200
#
############################################################

cmake_minimum_required(VERSION 2.6)

include(InstallRequiredSystemLibraries) #http://docdb.fnal.gov/ILC/sid/stanitz/ilcsoft-latest/cmake-2.4.8/Modules/InstallRequiredSystemLibraries.cmake

project(ISIS)

############################################################
# set isis version number
############################################################
set(ISIS_VERSION_MAJOR "0")
set(ISIS_VERSION_MINOR "4")
set(ISIS_VERSION_PATCH "7")

set(ISIS_VERSION_API "0.0.0")

STRING( REGEX MATCH "^[0-9]+" ISIS_VERSION_SO ${ISIS_VERSION_API})


add_definitions(-D_ISIS_VERSION_MAJOR=${ISIS_VERSION_MAJOR})
add_definitions(-D_ISIS_VERSION_MINOR=${ISIS_VERSION_MINOR})
add_definitions(-D_ISIS_VERSION_PATCH=${ISIS_VERSION_PATCH})

set(ISIS_VERSION
  ${ISIS_VERSION_MAJOR}.${ISIS_VERSION_MINOR}.${ISIS_VERSION_PATCH}
  CACHE INTERNAL "The current Version of the ISIS project")

if(NOT WIN32)
############################################################
# set install infix for plugin installation path
############################################################
set(ISIS_PLUGIN_INFIX lib/isis/plugins)
endif(NOT WIN32)

############################################################
# set project specific module path
############################################################
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")

############################################################
# general compiler flags
############################################################
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wstrict-aliasing=2" )
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wstrict-aliasing=2"  )

############################################################
# compiler flags on 64Bit cpus
############################################################

if(${APPLE})
  if(${CMAKE_OSX_ARCHITECTURES})
    set(PROCESSOR ${CMAKE_OSX_ARCHITECTURES})
  else(${CMAKE_OSX_ARCHITECTURES})
    set(PROCESSOR "x86_64")
  endif(${CMAKE_OSX_ARCHITECTURES})  
else(${APPLE})
  set(PROCESSOR ${CMAKE_SYSTEM_PROCESSOR})
endif(${APPLE})

if("${PROCESSOR}" STREQUAL "x86_64")
  message(STATUS "Compiling on x86_64. Using the '-fPIC' option in any case")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC"  )
endif("${PROCESSOR}" STREQUAL "x86_64" )

############################################################
# Logging options are global for all components in the tree
############################################################
option(ISIS_RUNTIME_LOG "Enable runtime logging" ON)
option(ISIS_DEBUG_LOG "Enable debug logging" ON)

# enable RUNTIME_LOG
if(ISIS_RUNTIME_LOG)
  add_definitions(-D_ENABLE_LOG=1)
else(ISIS_RUNTIME_LOG)
  add_definitions(-D_ENABLE_LOG=0)
endif(ISIS_RUNTIME_LOG)

# enable DEBUG_LOG
if(ISIS_DEBUG_LOG)
  add_definitions(-D_ENABLE_DEBUG=1)
  message(STATUS "Debug code enabled, this will will have a big impact on the performance")
else(ISIS_DEBUG_LOG)
  add_definitions(-D_ENABLE_DEBUG=0)
endif(ISIS_DEBUG_LOG)

# since ISIS stongly depends on the boost libraries we will configure them
# globally.
find_package(Boost REQUIRED COMPONENTS filesystem regex system date_time)

include_directories(${Boost_INCLUDE_DIR})

############################################################
# Macro to generate manpages for CLI programms
############################################################
set(MANPAGES OFF CACHE BOOL "Create manpages for the tools")

if(MANPAGES)
	find_program(HELP2MAN help2man)
endif(MANPAGES)

macro( build_manpage name desc)
	if(MANPAGES)
		add_custom_command(
			TARGET ${name}
			POST_BUILD
			COMMAND ${HELP2MAN} ./${name} --version-string=${ISIS_CORE_REV_STRING} --no-discard-stderr --no-info -o ${name}.1 -s 1 --name=${desc}
			COMMENT "(Re)Generating manpage ${name}.1"
            VERBATIM
		)
		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${name}.1 DESTINATION share/man/man1 COMPONENT "CLI Tools")
	endif(MANPAGES)
endmacro( build_manpage )



############################################################
# RCS revision number
############################################################
# The revision number is based on GIT commit informations.
# It will be stored in GIT_REVISION.
find_program(GIT_COMMAND git DOC "The rcs revision description information tool.")

if (NOT GIT_REVISION)
  if (GIT_COMMAND)
    execute_process(COMMAND ${GIT_COMMAND} describe OUTPUT_VARIABLE OUT WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} OUTPUT_STRIP_TRAILING_WHITESPACE)
    string(REGEX MATCH "[0-9]+-[^-]+$" GIT_REVISION "${OUT}") #@todo wont work with more complex revisions/modified sources
    set(CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}-${GIT_REVISION}-${CMAKE_SYSTEM_NAME}-${PROCESSOR}-${CMAKE_BUILD_TYPE})
  else(GIT_COMMAND)
    message(STATUS "git not found")
  endif (GIT_COMMAND)
endif (NOT GIT_REVISION)

if (GIT_REVISION)
  message(STATUS "RCS Revision: ${GIT_REVISION}")
  add_definitions(-DISIS_RCS_REVISION=${GIT_REVISION})
  set(ISIS_CORE_REV_STRING ${${CMAKE_PROJECT_NAME}_VERSION_MAJOR}.${${CMAKE_PROJECT_NAME}_VERSION_MINOR}.${${CMAKE_PROJECT_NAME}_VERSION_PATCH}-${GIT_REVISION})
else(GIT_REVISION)
  set(ISIS_CORE_REV_STRING ${${CMAKE_PROJECT_NAME}_VERSION_MAJOR}.${${CMAKE_PROJECT_NAME}_VERSION_MINOR}.${${CMAKE_PROJECT_NAME}_VERSION_PATCH})
endif(GIT_REVISION)

############################################################
# optional components
############################################################
option(ISIS_BUILD_TESTS "Build the ISIS test cases. They depend on Boost-Test" OFF)
option(ISIS_BUILD_TOOLS "Build the ISIS command line tools (converter, diff, etc pp." OFF)
option(ISIS_BUILD_PYTHON_EXT "Build the ISIS python extension. It provides access to the ISIS core image functions from python" OFF)

############################################################
# set up doxygen
############################################################
include(UseDoxygen)

###########################################################
# CPack config
###########################################################
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "isis core library")
SET(CPACK_PACKAGE_VENDOR "the friendly isis team")
SET(CPACK_PACKAGE_CONTACT "reimer@cbs.mpg.de")
SET(CPACK_PACKAGE_NAME "isis-core")
SET(CPACK_BUNDLE_NAME ${CPACK_PACKAGE_NAME})
SET(CPACK_COMPONENTS_ALL "CLI_Tools" "IO_plugins" "Development" "RuntimeLibraries")
#SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/ReadMe.txt")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_PACKAGE_VERSION_MAJOR ${${CMAKE_PROJECT_NAME}_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${${CMAKE_PROJECT_NAME}_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${${CMAKE_PROJECT_NAME}_VERSION_PATCH})
SET(CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_NAME}-${ISIS_CORE_REV_STRING}-${CMAKE_SYSTEM_NAME}-${PROCESSOR}-${CMAKE_BUILD_TYPE})
#SET(CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${${CMAKE_PROJECT_NAME}_VERSION_MAJOR}.${${CMAKE_PROJECT_NAME}_VERSION_MINOR}")
SET(CPACK_NSIS_MODIFY_PATH ON)
SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\isis-group.github.com/isis")
INCLUDE(CPack)

# status messages
message(STATUS "/bin directory: ${CMAKE_INSTALL_PREFIX}/bin")
message(STATUS "/lib directory: ${CMAKE_INSTALL_PREFIX}/lib")
message(STATUS "/include directory: ${CMAKE_INSTALL_PREFIX}/include")
if(WIN32)
message(STATUS "/plugins directory: ${CMAKE_INSTALL_PREFIX}/bin")
else(WIN32)
message(STATUS "/plugins directory: ${CMAKE_INSTALL_PREFIX}/${ISIS_PLUGIN_INFIX}")
endif(WIN32)

# build the ISIS libraries
add_subdirectory(lib)

# build the ISIS applications
add_subdirectory(apps)

# configure coding style tools
add_subdirectory(design)

# build the ISIS tools.
if(ISIS_BUILD_TOOLS)
  add_subdirectory(tools)
endif(ISIS_BUILD_TOOLS)

# build the ISIS tests.
if(ISIS_BUILD_TESTS)
  message(STATUS "Building unit tests")
  enable_testing()
  add_subdirectory(tests)
endif(ISIS_BUILD_TESTS)

# build the ISIS python extension.
if(ISIS_BUILD_PYTHON_EXT)
  add_subdirectory(python)
endif(ISIS_BUILD_PYTHON_EXT)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake//cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== apps/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# CMake configuration file of the ISIS applications.
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Thu, 07 Apr 2011 16:30:42 +0200
# 
############################################################

include_directories(${CMAKE_SOURCE_DIR}/lib/Core)

############################################################
# optional components
############################################################
option(ISIS_APPS_CALC "Build the ISIS image calculator" OFF)

# isiscalc
if(ISIS_APPS_CALC)
  set(APPS ${APPS} isiscalc)
  add_subdirectory(isiscalc)
endif(ISIS_APPS_CALC)

############################################################
# status message
############################################################
message(STATUS 
  "Installing the following applications to: ${CMAKE_INSTALL_PREFIX}/bin")
foreach(app ${APPS})
    message(STATUS " == ${app}")
endforeach(app ${APPS})

=== design/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# CMake configuration file of the ISIS code style tools
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Fri, 08 Apr 2011 11:35:35 +0200
# 
############################################################

############################################################
# optional components
############################################################
option(ISIS_USE_ASTYLE 
    "Create a make target for the Artistic Style code formatter" OFF)

############################################################
# create astyle target
############################################################
if (ISIS_USE_ASTYLE)
  
  # find astyle and configuration options
  find_file(ASTYLE astyle
    PATHS /usr/bin /usr/local/bin
    DOC "The Artistic Style code formatter.")

  if(NOT ASTYLE)
    message(FATAL ERROR 
      "astyle executable not found. Please enter the full path to the Artistic Style code formatter tool.")
  endif(NOT ASTYLE)

  message(STATUS "Using Artistic Style: ${ASTYLE}")
  execute_process(COMMAND ${ASTYLE} "--version"
    ERROR_VARIABLE ASTYLE_VERSION
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  message(STATUS ${ASTYLE_VERSION})

  # create a target
  add_custom_target(astyle 
      "design/apply_astyle.sh" ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

endif (ISIS_USE_ASTYLE)

=== lib/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# CMake configuration file for the lib subdir
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Wed, 06 Apr 2011 12:51:43 +0200
# 
############################################################

add_subdirectory(Core)
add_subdirectory(ImageIO)
add_subdirectory(Adapter)

=== python/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# Main CMake configuration file of the ISIS python extension
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Thu, 07 Apr 2011 15:01:03 +0200
# 
############################################################

############################################################
# include ISIS core header files
############################################################
include_directories(${CMAKE_SOURCE_DIR}/lib/Core)

find_package(Boost REQUIRED COMPONENTS python)
find_package(PythonLibs REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH})

add_subdirectory(isis)

=== tests/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# Main CMake configuration file of the ISIS tests.
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Thu, 07 Apr 2011 14:39:17 +0200
# 
############################################################

include_directories(${CMAKE_SOURCE_DIR}/lib/Core)

find_package(Boost REQUIRED COMPONENTS unit_test_framework)
include_directories(${Boost_INCLUDE_DIR})

string(REGEX MATCH "\\.[aA]$" DOT_A ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})
string(REGEX MATCH "\\.[lL][iI][bB]$" DOT_LIB ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})

message(STATUS ${DOT_LIB})

if(DOT_LIB OR DOT_A)
	message(STATUS "${Boost_UNIT_TEST_FRAMEWORK_LIBRARY} seems to be a static library wont use \"-DBOOST_TEST_DYN_LINK\"")
else(DOT_LIB OR DOT_A)
	add_definitions("-DBOOST_TEST_DYN_LINK")
	message(STATUS "${Boost_UNIT_TEST_FRAMEWORK_LIBRARY} seems to be a dynamic library adding \"-DBOOST_TEST_DYN_LINK\"")
endif(DOT_LIB OR DOT_A)


add_subdirectory(CoreUtils)
add_subdirectory(DataStorage)
add_subdirectory(ImageIO)
add_subdirectory(ExternalLibraryAdapter)

# addition option: build benchmarks
option(ISIS_BUILD_BENCHMARKS "Build the ISIS stress tests. For internal use only" OFF)

if(ISIS_BUILD_BENCHMARKS)
  message(STATUS "Building stress tests")
  add_subdirectory(benchmarks)
endif(ISIS_BUILD_BENCHMARKS)

=== tools/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# Main CMake configuration file of the ISIS tools.
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Thu, 07 Apr 2011 13:47:28 +0200
# 
# The ISIS tools are:
#
# isisdump    -    Dumps the meta data informations from an image file as seen
#                  by the ISIS internal data representation.
# isisiff     -    Shows the  difference between the meta information
#                  given by two image files A and B.
# isisconv    -    The ISIS data converter. It converts image data between all
#                  different formats provided by the imageIO plugins
# isisflip    -    Flips the image orientation and voxel data along a given axis.

###########################################################
# find and configure the isis core library
###########################################################
include_directories(${CMAKE_SOURCE_DIR}/lib/Core)

############################################################
# configure the targets
############################################################
add_executable(isisdump isisdump.cpp)
target_link_libraries(isisdump isis_core ${ISIS_LIB_DEPENDS})
set_target_properties(isisdump PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)
build_manpage(isisdump "print out the metadata of an image")

add_executable(isisdiff isisdiff.cpp)
target_link_libraries(isisdiff isis_core ${ISIS_LIB_DEPENDS})
set_target_properties(isisdiff PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)
build_manpage(isisdiff "get a \"diff\" of the metadata of two images")

add_executable(isisconv isisconv.cpp)
target_link_libraries(isisconv isis_core ${ISIS_LIB_DEPENDS})
set_target_properties(isisconv PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)
build_manpage(isisconv "general MR image converter")

add_executable(isisflip isisflip.cpp)
target_link_libraries(isisflip isis_core ${ISIS_LIB_DEPENDS})
set_target_properties(isisflip PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)
build_manpage(isisflip "flip MR images along specific dimensions")

# the install targets.
install(TARGETS
  isisdump
  isisdiff
  isisconv
  isisflip
  RUNTIME DESTINATION bin COMPONENT "CLI_Tools")

=== apps/isiscalc/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# CMake configuration file of the ISIS application isiscalc.
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Thu, 07 Apr 2011 16:39:18 +0200
# 
############################################################

############################################################
# find dependencies
############################################################
find_library(LIB_MUPARSER "muparser" REQUIRED)
find_path(INCPATH_MUPARSER "muParser.h" PATH_SUFFIXES "muParser")
include_directories(${INCPATH_MUPARSER})
add_executable(isiscalc isiscalc.cpp)
target_link_libraries(isiscalc ${LIB_MUPARSER} isis_core ${ISIS_LIB_DEPENDS})
set_target_properties(isiscalc PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)
build_manpage(isiscalc "do math on image voxels (based on muparser)")

############################################################
# the install targets.
############################################################
install(TARGETS isiscalc RUNTIME DESTINATION bin COMPONENT "CLI Tools")

=== lib/Adapter/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# CMake configuration file for the lib subdir
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Fri, 08 Apr 2011 13:11:34 +0200
# 
############################################################

############################################################
# include core header files
############################################################
include_directories(${CMAKE_SOURCE_DIR}/lib/Core)

############################################################
# optional components
############################################################
option(ISIS_ITK "Enable adapter to the ITK library" OFF)
# remove option until build issues are solved.
# option(ISIS_VTK "Enable adapter to the VTK library" OFF)
option(ISIS_QT4 "Enable adapter to the Qt4 library" OFF)

############################################################
# use ITK component
############################################################
if(ISIS_ITK)
  # export header files
  set(ADAPTER_HDR_FILES 
    itk/itkAdapter.hpp itk/itkAdapter_impl.hpp)
endif(ISIS_ITK)

############################################################
# use QT4 component
############################################################
if(ISIS_QT4)
  # find qt4
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})

  qt4_wrap_cpp(qdefaultmessageprint_moc qt4/qdefaultmessageprint.hpp)
  # configure target
  add_library(isisAdapter_qt4 SHARED qt4/qtapplication.cpp ${qdefaultmessageprint_moc} qt4/qdefaultmessageprint.cpp )
  set_target_properties(isisAdapter_qt4  PROPERTIES
	      ${ISIS_BUILD_PROPERTIES}
	      SOVERSION ${${CMAKE_PROJECT_NAME}_VERSION_SO}
	      VERSION ${${CMAKE_PROJECT_NAME}_VERSION_API}
	      INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
	      OUTPUT_NAME "isisAdapter_qt4")

  target_link_libraries(isisAdapter_qt4 isis_core ${ISIS_LIB_DEPENDS} ${QT_LIBRARIES} ${CMAKE_C_STANDARD_LIBRARIES})

  # configure install destination
  install (TARGETS isisAdapter_qt4
	RUNTIME DESTINATION bin COMPONENT RuntimeLibraries
	LIBRARY DESTINATION lib COMPONENT RuntimeLibraries
	ARCHIVE DESTINATION lib COMPONENT Development
  )

  # export header files
  set(ADAPTER_HDR_FILES ${ADAPTER_HDR_FILES} qt4/qtapplication.hpp qt4/qdefaultmessageprint.hpp )  
endif(ISIS_QT4)

############################################################
# Install header and helper files
############################################################
install(FILES 
  ${ADAPTER_HDR_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/isis/Adapter COMPONENT Development)

=== lib/Core/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# CMake configuration file of the ISIS core library
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Wed, 06 Apr 2011 14:01:10 +0200
# 
############################################################

############################################################
# check for liboil
############################################################
set(ISIS_USE_LIBOIL OFF CACHE BOOL "use liboil" )
if(ISIS_USE_LIBOIL)
	find_path(LibOil_INCLUDE_DIR "liboil/liboil.h" PATH_SUFFIXES "liboil" "liboil-0.3")
	find_library(LibOil_LIBRARY NAMES "oil-0.3")
	include_directories(${LibOil_INCLUDE_DIR})
	add_definitions(-DISIS_USE_LIBOIL)
else(ISIS_USE_LIBOIL)
	set(LibOil_LIBRARY "")
endif(ISIS_USE_LIBOIL)

############################################################
# export library dependencies of isis_core
############################################################
set(ISIS_LIB_DEPENDS  ${CMAKE_DL_LIBS} ${Boost_LIBRARIES} ${LibOil_LIBRARY}
  CACHE INTERNAL "Addition libraries ISIS depends on")

############################################################
# Build config
############################################################
set(ISIS_BUILD_PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set(ISIS_BUILD_STATIC OFF CACHE BOOL "enable build of the static library. If OFF a dynamic library will be build and
linked." )

############################################################
# build core
############################################################

# add source files to this parameter list
file(GLOB CORE_SRC_FILES "DataStorage/*.cpp" "CoreUtils/*.cpp")
file(GLOB COREUTILS_HDR_FILES "CoreUtils/*.hpp" "CoreUtils/*.h")
file(GLOB DATASTORAGE_HDR_FILES "DataStorage/*.hpp" "DataStorage/*.h")

############################################################
# the core library shared and static build
############################################################
macro( build_core name type)
    add_library( ${name} ${type} ${CORE_SRC_FILES} )
	target_link_libraries( ${name} ${CMAKE_DL_LIBS} ${Boost_LIBRARIES} ${LibOil_LIBRARY})
    set_target_properties( ${name} PROPERTIES
		${ISIS_BUILD_PROPERTIES}
		SOVERSION ${${CMAKE_PROJECT_NAME}_VERSION_SO}
		VERSION ${${CMAKE_PROJECT_NAME}_VERSION_API}
		INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
		OUTPUT_NAME "isis_core")
    set(target_list ${target_list} ${name})
endmacro( build_core )

#for packaging purpose we want to build both, shared and static with one build_command
#however this capability is not provided by an option in the cmake menu
if(ISIS_BUILD_STATIC_AND_SHARED)
    build_core( isis_core_static STATIC)
    build_core( isis_core SHARED)
else(ISIS_BUILD_STATIC_AND_SHARED)
    if(ISIS_BUILD_STATIC)
		build_core( isis_core STATIC)
    else(ISIS_BUILD_STATIC)
		build_core( isis_core SHARED)
    endif(ISIS_BUILD_STATIC)
endif(ISIS_BUILD_STATIC_AND_SHARED)


############################################################
# set the plugin directory and the system dependend shared
# library naming conventions for DataStorage/io_factory.cpp
############################################################
if(WIN32)
set_source_files_properties( "DataStorage/io_factory.cpp" PROPERTIES COMPILE_FLAGS
	"-DDL_SUFFIX=\\\"${CMAKE_SHARED_LIBRARY_SUFFIX}\\\" -DDL_PREFIX=\\\"${CMAKE_SHARED_LIBRARY_PREFIX}\\\""
)
else(WIN32)
set_source_files_properties( "DataStorage/io_factory.cpp" PROPERTIES COMPILE_FLAGS
	"-DPLUGIN_PATH=\\\"${CMAKE_INSTALL_PREFIX}/${ISIS_PLUGIN_INFIX}\\\" -DDL_SUFFIX=\\\"${CMAKE_SHARED_LIBRARY_SUFFIX}\\\" -DDL_PREFIX=\\\"${CMAKE_SHARED_LIBRARY_PREFIX}\\\""
)
endif(WIN32)

############################################################
# Installation
############################################################

# install libraries
install (TARGETS ${target_list}
  RUNTIME DESTINATION bin COMPONENT RuntimeLibraries
  LIBRARY DESTINATION lib COMPONENT RuntimeLibraries
  ARCHIVE DESTINATION lib COMPONENT Development
)

# install header files
install(FILES ${COREUTILS_HDR_FILES} DESTINATION include/isis/CoreUtils COMPONENT Development)
install(FILES ${DATASTORAGE_HDR_FILES} DESTINATION include/isis/DataStorage COMPONENT Development)

# write configuration file
configure_file(cmake/isis_corecfg.cmake.in ${CMAKE_BINARY_DIR}/ISISConfig.cmake @ONLY)

# install cmake configuration files
install(FILES ${CMAKE_BINARY_DIR}/ISISConfig.cmake DESTINATION share/isis/cmake COMPONENT Development)

=== lib/ImageIO/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# CMake configuration file of the ISIS I/O plugins
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Wed, 06 Apr 2011 19:23:10 +0200
# 
############################################################

############################################################
# include the ISIS core header files
############################################################
include_directories(${CMAKE_SOURCE_DIR}/lib/Core)

############################################################
# add global options
############################################################
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_NIFTI "Enable Nifti-IO plugin" OFF)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_NIFTI_SA "Enable standalone Nifti-IO plugin" ON)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_NULL "Enable Null-IO plugin" OFF)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_PNG "Enable PNG-IO plugin" OFF)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_DICOM "Enable Dicom-IO plugin" OFF)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_VISTA "Enable Vista-IO plugin" OFF)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_VISTA_SA "Enable standalone Vista-IO plugin" OFF)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_GZ "Enable proxy plugin for compressed files" ON)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_TAR "Enable proxy plugin for tar datasets" ON)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_FLIST "Enable proxy plugin which gets filenames from a file or stdin" ON)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_PROCESS "Enable proxy plugin which gets filenames from a child process" ON)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_RAW "Enable plugin for raw data output" ON)
option(${CMAKE_PROJECT_NAME}_IOPLUGIN_SIEMENSTCPIP "Enable plugin for Siemens data coming on TCP Port" OFF)

############################################################
# the plugins ...
############################################################

############################################################
# NIFTI plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_NIFTI)
  find_library(LIB_NIFTIIO niftiio)
  find_library(LIB_ZNZ znz)
  find_library(LIB_Z z)

  find_path(INCPATH_NIFTI "nifti1_io.h" PATH_SUFFIXES "nifti")
  find_path(INCPATH_ZNZ "znzlib.h" PATH_SUFFIXES "nifti")

  include_directories(${INCPATH_NIFTI} ${INCPATH_ZNZ})
  add_library(isisImageFormat_Nifti SHARED imageFormat_Nifti.cpp)
  target_link_libraries(isisImageFormat_Nifti ${LIB_NIFTIIO} ${LIB_ZNZ} ${LIB_Z} isis_core  ${ISIS_LIB_DEPENDS})

  set(TARGETS ${TARGETS} isisImageFormat_Nifti)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_NIFTI)

if(${CMAKE_PROJECT_NAME}_IOPLUGIN_NIFTI_SA)
  add_library(isisImageFormat_Nifti_sa SHARED imageFormat_nifti_sa.cpp)
  target_link_libraries(isisImageFormat_Nifti_sa isis_core  ${ISIS_LIB_DEPENDS})
  set(TARGETS ${TARGETS} isisImageFormat_Nifti_sa)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_NIFTI_SA)

############################################################
# vista_sa
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_VISTA_SA)

	set(VISTA_SRC_FILES Vista_sa/imageFormat_Vista_sa.cpp Vista_sa/VistaSaParser.cpp )
	include_directories(${Boost_INCLUDE_DIR})
	add_library(isisImageFormat_Vista_sa SHARED ${VISTA_SRC_FILES})
	add_definitions(-DPHOENIX_LIMIT=10)
	target_link_libraries(isisImageFormat_Vista_sa isis_core  ${ISIS_LIB_DEPENDS} ${Boost_LIBRARIES})
	set(TARGETS ${TARGETS} isisImageFormat_Vista_sa)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_VISTA_SA)


############################################################
# vista
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_VISTA)
  # This code snipped was taken from the lipsia source package.

  # - FindVIA.cmake
  #
  # Author: Thomas Proeger
  #
  # Find the header files and libraries for the libvia and libvia-dev packages
  #
  # This find package exports the following variables:
  # VIA_INCLUDE_DIR         - directory for via.h viadata.h
  # VIAIO_INCLUDE_DIR       - directory for VImage.h, option.h, etc. pp
  # VIA_LIBRARY             - libvia
  # VIAIO_LIBRARY           - libviaio
  # VX_LIBRARY              - libvx
  #

  # SET a root VIA include directory if necessary. This should be the directory
  # containing the via and viaio include dirs.
  if(VIA_ROOT_INCLUDE_DIR)
    include_directories(${VIA_ROOT_INCLUDE_DIR})
  endif(VIA_ROOT_INCLUDE_DIR)

  # include directories
  find_path(VIA_INCLUDE_DIR
    NAMES via.h
    PATH_SUFFIXES via
    DOC "The include directory containing via.h"
    )

  find_path(VIAIO_INCLUDE_DIR
    NAMES VImage.h
    PATH_SUFFIXES viaio
    DOC "The include directory containing VImage.h and option.h"
    )

  # LIBRARY files
  find_library(VIA_LIBRARY
    NAMES via libvia
    DOC "The library file libvia.so"
    )

  find_library(VIAIO_LIBRARY
    NAMES viaio libviaio
    DOC "The library file libviaio.so"
    )

  find_library(VX_LIBRARY
    NAMES vx libvx
    DOC "The library file libvx.so"
    )

  # these variables are only visible in 'advanced mode'
  mark_as_advanced(VIA_INCLUDE_DIR
    VIAIO_INCLUDE_DIR
    VIA_LIBRARY
    VIAIO_LIBRARY
    VX_LIBRARY
    )

  # if via components found configure build environment
  if(VIA_INCLUDE_DIR AND VIAIO_INCLUDE_DIR
      AND VIA_LIBRARY AND VIAIO_LIBRARY)

    include_directories(${VIA_INCLUDE_DIR} ${VIAIO_INCLUDE_DIR})
    add_library(isisImageFormat_Vista SHARED imageFormat_Vista.cpp)
    target_link_libraries(isisImageFormat_Vista ${VIAIO_LIBRARY} isis_core ${ISIS_LIB_DEPENDS})
    set(TARGETS ${TARGETS} isisImageFormat_Vista)
  else(VIA_INCLUDE_DIR AND VIAIO_INCLUDE_DIR
      AND VIA_LIBRARY AND VIAIO_LIBRARY)

    message(FATAL_ERROR, "Cannot find viaiio libraries. Please install the package libvia-dev")

  endif(VIA_INCLUDE_DIR AND VIAIO_INCLUDE_DIR
    AND VIA_LIBRARY AND VIAIO_LIBRARY)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_VISTA)

############################################################
# NULL plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_NULL)
  add_library(isisImageFormat_Null SHARED imageFormat_Null.cpp)
  target_link_libraries(isisImageFormat_Null isis_core ${ISIS_LIB_DEPENDS})
  set(TARGETS ${TARGETS} isisImageFormat_Null)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_NULL)

############################################################
# PNG plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_PNG)
  find_library(LIB_Z z)
  find_library(LIB_PNG png12)

  find_path(INCPATH_PNG "png.h")
  include_directories(${INCPATH_PNG})

  add_library(isisImageFormat_png SHARED imageFormat_png.cpp)
  target_link_libraries(isisImageFormat_png isis_core ${ISIS_LIB_DEPENDS} ${LIB_PNG} ${LIB_Z})

  set(TARGETS ${TARGETS} isisImageFormat_png)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_PNG)

############################################################
# GZ proxy plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_GZ)
  find_library(LIB_Z "z")
  find_path(INCPATH_GZIP "zlib.h")
  include_directories(${INCPATH_GZIP})

  add_library(isisImageFormat_gz_proxy SHARED imageFormat_gz_proxy.cpp)
  target_link_libraries(isisImageFormat_gz_proxy isis_core ${ISIS_LIB_DEPENDS} ${LIB_Z} )

  set(TARGETS ${TARGETS} isisImageFormat_gz_proxy)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_GZ)

############################################################
# TAR proxy plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_TAR)
  find_package(Boost REQUIRED COMPONENTS iostreams)

  add_library(isisImageFormat_tar_proxy SHARED imageFormat_tar_proxy.cpp)

  find_library(LIB_Z "z")
  find_library(LIB_BZ2 "bz2")

  if(HAVE_FALLOCATE)
    set_target_properties(isisImageFormat_tar_proxy PROPERTIES COMPILE_DEFINITIONS HAVE_FALLOCATE)
  else(HAVE_FALLOCATE)
    if(HAVE_POSIX_FALLOCATE)
      set_target_properties(isisImageFormat_tar_proxy PROPERTIES COMPILE_DEFINITIONS HAVE_POSIX_FALLOCATE)
    endif(HAVE_POSIX_FALLOCATE)
  endif(HAVE_FALLOCATE)

  target_link_libraries(isisImageFormat_tar_proxy isis_core ${ISIS_LIB_DEPENDS} ${Boost_IOSTREAMS_LIBRARY} ${LIB_Z} ${LIB_BZ2})
  set(TARGETS ${TARGETS} isisImageFormat_tar_proxy)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_TAR)

############################################################
# FLIST proxy plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_FLIST)
	add_library(isisImageFormat_flist SHARED imageFormat_flist.cpp)
	target_link_libraries(isisImageFormat_flist isis_core ${ISIS_LIB_DEPENDS} ${Boost_IOSTREAMS_LIBRARY} ${LIB_Z} ${LIB_BZ2})
	set(TARGETS ${TARGETS} isisImageFormat_flist)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_FLIST)

############################################################
# PROCESS proxy plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_PROCESS)
	add_library(isisImageFormat_process SHARED isisImageFormat_process.cpp)
	target_link_libraries(isisImageFormat_process isis_core ${ISIS_LIB_DEPENDS} ${Boost_IOSTREAMS_LIBRARY} ${LIB_Z} ${LIB_BZ2})
	set(TARGETS ${TARGETS} isisImageFormat_process)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_PROCESS)

############################################################
# Dicom
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_DICOM)
	find_library(LIB_DCMIMGLE dcmimgle)
	find_library(LIB_DCMIMAGE dcmimage)
	find_library(LIB_DCMDATA dcmdata)
	find_library(LIB_OFSTD ofstd)

	find_library(LIB_Z z)
	find_library(LIB_TIFF tiff)
	find_library(LIB_PNG png12)

	set(DCM_LIBS ${LIB_DCMIMGLE} ${LIB_DCMIMAGE}  ${LIB_DCMDATA}) #higher functions

	find_path(INCPATH_DCMTK "dcmtk/dcmdata/dcfilefo.h")
	include_directories(${INCPATH_DCMTK})
	
	find_library(LIB_DCM_LOG "oflog")
	if(LIB_DCM_LOG)
		message(STATUS "dcmtk 3.6 found - linking against ${LIB_DCM_LOG}")
		list(APPEND DCM_LIBS ${LIB_DCM_LOG} )
	endif(LIB_DCM_LOG)

	list(APPEND DCM_LIBS ${LIB_OFSTD}  ${LIB_Z} ${LIB_TIFF} ${LIB_PNG}) #low level functions

	add_library(isisImageFormat_Dicom SHARED imageFormat_Dicom.cpp imageFormat_DicomParser.cpp)

	if(WIN32)
	list(APPEND DCM_LIBS ws2_32 netapi32 wsock32)
	endif(WIN32)

	target_link_libraries(isisImageFormat_Dicom ${DCM_LIBS} isis_core ${ISIS_LIB_DEPENDS})
	set(TARGETS ${TARGETS} isisImageFormat_Dicom)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_DICOM)

############################################################
# RAW plugin
############################################################
if(${CMAKE_PROJECT_NAME}_IOPLUGIN_RAW)
  add_library(isisImageFormat_raw SHARED imageFormat_raw.cpp)
  target_link_libraries(isisImageFormat_raw isis_core ${ISIS_LIB_DEPENDS})
  set(TARGETS ${TARGETS} isisImageFormat_raw)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_RAW)

#################################################################################################
# Siemens TCPIP
#################################################################################################

if (${CMAKE_PROJECT_NAME}_IOPLUGIN_SIEMENSTCPIP)
	add_library(isisImageFormat_SiemensTcpIp SHARED imageFormat_SiemensTcpIp.cpp)
	message(STATUS ${ISIS_LIB_DEPENDS})
	target_link_libraries(isisImageFormat_SiemensTcpIp isis_core ${ISIS_LIB_DEPENDS})
	set(TARGETS ${TARGETS} isisImageFormat_SiemensTcpIp)
endif(${CMAKE_PROJECT_NAME}_IOPLUGIN_SIEMENSTCPIP)

###########################################################################
# prepare all plugins for installation
###########################################################################
if(WIN32)
message(STATUS "Installing following plugins to ${CMAKE_INSTALL_PREFIX}/bin")
else(WIN32)
message(STATUS "Installing following plugins to ${CMAKE_INSTALL_PREFIX}/${ISIS_PLUGIN_INFIX}")
endif(WIN32)

foreach(PLUGIN ${TARGETS})
  message(STATUS " == ${PLUGIN}")

=== python/isis/CMakeLists.txt ===
############################################################
# The ISIS project
# 
# Sub configuration file of the ISIS python extension
#
# Author: Thomas Proeger <thomasproeger@googlemail.com>
# Date: Thu, 07 Apr 2011 15:25:04 +0200
# 
############################################################

############################################################
# configure python module
############################################################

#this is the string that will be lstripped from the python 
#package install path in order to replace it with the cmake install prefix
set(PYTHON_PACKAGE_PATH_PREFIX "/usr/")

message(STATUS "Building python package for: ${PYTHON_VERSIONS}")

foreach(pv ${PYTHON_VERSIONS})
  execute_process ( COMMAND ${pv} -c "from distutils.sysconfig import get_python_lib; print get_python_lib().lstrip('${PYTHON_PACKAGE_PATH_PREFIX}')" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)


set(PYTHON_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}/${PYTHON_SITE_PACKAGES}")

configure_file(__init__.py
  ${CMAKE_BINARY_DIR}/python/isis/__init__.py COPYONLY)

############################################################
# installation
############################################################
message(STATUS 
  "Installing python modules to ${PYTHON_INSTALL_PATH}") 
install(FILES __init__.py
  DESTINATION ${PYTHON_INSTALL_PATH}/isis)
endforeach(pv)

add_subdirectory(core)
add_subdirectory(data)

=== debian/changelog ===
isis (0.4.7-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 17 Feb 2012 05:12:04 -0500

isis (0.4.7-1) UNRELEASED; urgency=low

  * Initial Debian packaging (Closes: #633677).

 -- Michael Hanke <mih@debian.org>  Thu, 16 Feb 2012 09:31:22 +0100

isis (0.4.6+git10-g7b6a946-1) UNRELEASED; urgency=low

  * add support for writing 24/48bit rgb, and for 16bit grayscale images as
    PNG
  * dicom plugin builds on WIN32
  * fix bug which caused Chunk::swapAlong to fail for non 8bit data
  * add support for reading 24/48bit rgb, and for 16bit grayscale images (PNG)

 -- Enrico Reimer <reimer@cbs.mpg.de>  Tue, 31 Jan 2012 14:40:42 +0100

isis (0.4.4gca0af59-0) UNRELEASED; urgency=low

  * add png grayscale reading support
  * add parameter scaling to Image::copyToMem()
  * fixed bugs

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Tue, 12 Jan  2012 17:03:00 +0200

isis (0.4.3g322ed3e-0) UNRELEASED; urgency=low

  * api changes in PropertyMap
  * fixed bug in nifti-sa-plugin

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Tue, 10 Jan  2012 14:12:00 +0200

isis (0.4.2g12c919d-1) UNRELEASED; urgency=low

  * fixed dependency bug in libisis-qt4-dev package

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Mon, 19 Dec  2011 12:12:00 +0200

isis (0.4.2g12c919d-0) UNRELEASED; urgency=low

  * add support for fsl color images
  * bug fixes

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Fri, 16 Dec  2011 14:28:00 +0200

isis (0.4.1ge179836-3) UNRELEASED; urgency=low

  * add isisio0-common package
  * all packages are EXACTLY dependet from 0.4.1

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Tue, 29 Nov 2011 14:28:00 +0200

isis (0.4.1ge179836-2) UNRELEASED; urgency=low

  * add missing install file for isisio0-raw

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Mon, 28 Nov 2011 14:48:00 +0200

isis (0.4.1ge179836-1) UNRELEASED; urgency=low

  * fixed dependencies for lenny package (libboost)  

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Mon, 28 Nov 2011 14:48:00 +0200

isis (0.4.1ge179836-0) UNRELEASED; urgency=low

  * add new nifti standalone plugins
  * add first version of isis python bridge

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Mon, 28 Nov 2011 14:48:00 +0200

isis (0.4.0g9140af9-0) UNRELEASED; urgency=low

  * add first version for python support
  * add support for dcmtk 3.6

  * let ValuePtr::getRawAddress() return boost::shared_ptr<void> instead of boost::weak_ptr<void>, was a bit overdesigned
  * fix typo in ValuePtr::copyFromMem and suppress some correct warnings in typePtrTest.cpp
  * tell the user the size of the image written 
  * add PropertyMap::find to search single keys in the property tree
  * remove a private constructor in ValuePtr which prevented copy-construction from Value (should not be necessary)
  * add FilePtr to handle memory mapped data 
  * use mmap64 instead of mmap and ftruncate64 instead of fallocate 
  * fix bug in MemChunk creation which caused the underlying ValuePtr to have a length of 0
  * get back Chunk::copySlice
  * fallocate seems not to work on ubuntu - replace by more generic ftruncate
  * add FilePtr::close to explicitely unmap and close the mapped file 
  * use FilePtr in io-plugins raw and tar-proxy 
  * make PropertyMap entries two dimensional to be able to store lists of properties (this is just the storage / not in the interface)
  * added basic matrix class to do some matrix-algebra on FixedVector 
  * PropertyValue(bool needed) removed - was in conflict with creation from value
  * add length check to Image::copyToMem 
  * add aplying operators *=,/=,+= and -= to FixedVector 
  * make ProgressFeedback in IOApplication and IOFactory shared_ptr to make them more robust against copying
  * add some code to handle two dimensional properties (e.g. set by propertyValueAt) when reIndex-ing Images
  * add stl-compatible begin/end to FixedVector 
  * fix bug which caused the result of FixedMatrix::getRow to have the wrong internal size and use iterators instead of pointers there
  * fix wrong warning about inserting chunks into existing image when splicing
  * fix dicom build on mac
  * workaround for apparently still/again broken dynamic_cast on MacOS Lion 
  * remove dedundant LLMap from util::Application
  * add optional parameter to FileFormat::getSuffixes to specify which IO is meant
  * dont use Acquisition Time if its not precise enough and be less strict with expected properties - helps with GE data
  * fix compiles with prehistoric boost versions (<=1.35) 
  * add DICOM/AcquisitionNumber as attribute to differ between images 
  * add qdefaultmessageprint class to qt4 adapter
  * add rdialect onlyfirst to vistaio. This is needed by the viewer to only load the first image in zmaps

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Thu, 10 Nov 2011 12:48:00 +0200

isis (0.3.4g5ae6013-0) UNRELEASED; urgency=low

   * Fixed bug in transformCoords

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Tue, 12 Jul 2011 12:48:00 +0200

isis (0.3.3gitg71597cb-1) UNRELEASED; urgency=low


   * isis core should be build without debug log

 -- ISIS Group (The friendly isis team) <gr_isis@cbs.mpg.de>  Thu, 23 Jun 2011 15:38:35 +0200

isis (0.3.3gitg71597cb-0) UNRELEASED; urgency=low

   * use int64_t instead of platform dependent size_t (or time_t) - fixes
     compile for gcc/mac
  
   * do the copying directly in copyChunksToVector - prevent warning about
     empty object creation
  
   * enabled CTest support. Added CoreUtils and DataStorage tests as CTest
     targets.
   


=== debian/control ===
Source: isis
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: ISIS Group <gr_isis@cbs.mpg.de>
Uploaders: Enrico Reimer <reimer@cbs.mpg.de>, Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), doxygen, cmake, libbz2-dev,
 libmuparser-dev, libnifti-dev, libvia-dev (>= 2.0.0~), libboost-python-dev,
 liboil0.3-dev | liboil-dev, python-all-dev, libqt4-dev,
 libpng12-dev | libpng-dev, libtiff4-dev | libtiff-dev,
 libdcmtk2-dev | libdcmtk1-dev, libboost-iostreams-dev, libboost-filesystem-dev,
 libboost-system-dev, libboost-date-time-dev, help2man
Standards-Version: 3.9.2
Homepage: https://github.com/isis-group
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/isis.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/isis.git


Package: libisis-core0
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Recommends: libisis-ioplugins-common, libisis-ioplugins-dicom
Description: I/O framework for neuroimaging data
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.
 .
 This Package provides the core library needed by all applications that
 are build upon ISIS.


Package: libisis-ioplugins-common
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, libisis-core0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: data format plugins for the ISIS framework
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.
 .
 This package provides plugins for data in NIfTI, PNG, VISTA format,
 raw-data access, as well as plugins for gzip-compression and tar-archive
 support.

Package: libisis-ioplugins-dicom
Section: science
Architecture: any
Depends: neurodebian-popularity-contest, libisis-core0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: dicom io plugin for the ISIS framework
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.
 .
 This package provides a plugin to read data from dicom datasets.
 It reads single files, or whole directories (a DICOMDIR is not needed).

Package: libisis-core-dev
Section: libdevel
Architecture: all
Depends: neurodebian-popularity-contest, libisis-core0 (>= ${source:Version}),
 libisis-core0 (<< ${source:Version}.1~), ${misc:Depends}
Description: I/O framework for neuroimaging data
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.
 .
 This package provides headers and library to develop applications with ISIS.


Package: isis-utils
Section: science
Architecture: any
Depends: neurodebian-popularity-contest, libisis-core0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: utilities for the ISIS neuroimaging data I/O framework
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.
 .
 This package provides a number of utilities to process neuroimaging data. This
 includes a multi-format converter and tools to inspect image meta data.


Package: libisis-qt4-0
Section: libs
Conflicts: isis-qt4
Replaces: isis-qt4
Architecture: any
Depends: neurodebian-popularity-contest, libisis-core0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 bindings for ISIS data I/O framework
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.


Package: libisis-qt4-dev
Section: libdevel
Conflicts: isis-qt4-dev
Architecture: all
Depends: neurodebian-popularity-contest, libisis-qt4-0 (>= ${source:Version}),
 libisis-qt4-0 (<< ${source:Version}.1~), ${misc:Depends},
 libqt4-dev
Description: Qt4 bindings for ISIS data I/O framework (development headers)
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.


Package: python-isis
Section: python
Architecture: any
Conflicts: isis-python
Replaces: isis-python
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for ISIS data I/O framework (development headers)
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/isis-$1\.tar\.gz/" \
  http://github.com/isis-group/isis/downloads .*tarball/([\d\.a-z]+)
